interface PlantControllerConfig {
    ap_ssid: string,
    ssid: string,
    password: string,
    mqtt_url: string,
    base_topic: string,
    tank_sensor_enabled: boolean,
    tank_allow_pumping_if_sensor_error: boolean,
    tank_useable_ml: number,
    tank_warn_percent: number,
    tank_empty_percent: number,
    tank_full_percent: number,
    night_lamp_hour_start: number,
    night_lamp_hour_end: number,
    night_lamp_only_when_dark: boolean,
    max_consecutive_pump_count: number,
  
    plants: PlantConfig[]
  }

  interface PlantConfig{
    mode: string,
    target_moisture: number,
    pump_time_s: number,
    pump_cooldown_min: number,
    pump_hour_start: number,
    pump_hour_end: number,
    sensor_b: boolean
  }
  
  
  interface SSIDList {
    ssids: [string]
  }
  
  interface TestPump {
    pump: number
  }
  
  interface SetTime {
    time: string
  }
  
  interface GetData {
    rtc: string,
    native: string,
    moisture_a: [number],
    moisture_b: [number],
  }
  
  interface VersionInfo {
    git_hash: string,
    build_time: string
  }